Public Create Analysis
curl --request POST \
--url https://public-api.salu.com.vc/dev/routes/v0/analysis/disability \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"gov_id": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://public-api.salu.com.vc/dev/routes/v0/analysis/disability"
payload = {
"name": "<string>",
"gov_id": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
gov_id: '<string>',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
employee_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://public-api.salu.com.vc/dev/routes/v0/analysis/disability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"gov_id": "<string>",
"request_date": "2023-11-07T05:31:56Z",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"validation_date": "2023-11-07T05:31:56Z",
"observation": "<string>",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disabilities": [
{}
],
"expiration_date": "2023-11-07T05:31:56Z",
"expired": true,
"analysis_files": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Analysis
Create Disability Analysis
POST
/
v0
/
analysis
/
disability
Public Create Analysis
Cria uma análise de deficiência (PCD) para um candidato ou colaborador.
Veja o conceito em Análise PCD e o
fluxo completo.
Visão Geral
- Método:
POST - Path:
/v0/analysis/disability - OperationId:
public_create_analysis_v0_analysis_disability_post - Autenticação: header
x-api-key
Campos principais
| Campo | Obrigatório | Significado (PT) |
|---|---|---|
name | sim | Nome do candidato/colaborador. |
gov_id | sim | CPF (11 dígitos; validado e normalizado). |
organization_id | sim | Organização da análise. |
employee_id | condicional | Obrigatório quando o candidato já é colaborador da organização. |
Enum de status (resposta)
| Campo | Valor | Significado (PT) |
|---|---|---|
status | PENDING | Em análise |
APPROVED | Aprovada | |
REJECTED | Rejeitada | |
EXPIRED | Expirada |
Exemplo de requisição
curl -X POST "https://public-api.salu.com.vc/dev/routes/v0/analysis/disability" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "x-api-key: $SALU_PUBLIC_API_KEY" \
--data '{
"name": "MARIA DA SILVA",
"gov_id": "12345678901",
"organization_id": "ORGANIZATION_UUID",
"employee_id": null
}'
Authorizations
Body
application/json
Response
Successful Response
Available options:
IN_ANALYSIS, INCOMPLETE, APPROVED, REPROVED, EXPIRED Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I